Subject: bug#74250: emacs-guix: guix-pull invalid input error

From: Christopher Howard <[email-masked]>
Date: Thu, 07 Nov 2024 13:53:09 -0900

Recently (the last week or two?) I've run into this problem where if I attempt to use guix-pull, which runs a "guix pull" from the *Guix REPL*, I get this error:

```
scheme@(emacs-guix)> (guix-command "pull")
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git	2a6d964
guix pull: error: gnu/packages/commencement.scm:3333:4: package [email-masked]' has an invalid input: ("source" #<origin "mirror://gnu/guile/guile-3.0.9.tar.xz" #<content-hash sha256:03bm1mnfc9kkg2ls942a0js7bxrdzmcffgrgg6anwdmjfan2a9hs> () 7f8e03e0f840>)
$12 = #t
```

However, I have no trouble doing a normal guix pull from the command-line. I have the same error running this with "emacs -q".

I am running GNU Emacs 30.0.92 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.41, cairo version 1.18.0) of 2024-10-29.

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.15.167-gnu 
Uptime: 30 days, 8 hours, 44 mins 
Packages: 167 (guix-system), 248 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: launch-local-em 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 4596MiB / 15914MiB 
```

``` guix describe
Generation 151	Oct 28 2024 08:31:51	(current)
  guix 4009d1d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 4009d1de954d694cb11af391d4113d29c5c1379d
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ